# Class yii\twig\Profile

Inheritance | yii\twig\Profile » Twig\Extension\ProfilerExtension
Source Code | https://github.com/yiisoft/yii2-twig/blob/master/Profile.php

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$profiler |  |  | yii\twig\Profile
$view |  |  | yii\twig\Profile

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() |  | yii\twig\Profile

## Property Details

$profiler protected property
protected $profiler = null
$view protected property
protected $view = null

## Method Details

__construct() public method

public void __construct ( \Twig\Profiler\Profile $profile )
$profile |  |